<?php
namespace TotalTheme\Integration\WPBakery\Templatera;

defined( 'ABSPATH' ) || exit;

final class Disable_Admin_Notices {

	/**
	 * Our single Disable_Admin_Notices instance.
	 */
	private static $instance;

	/**
	 * Disable instantiation.
	 */
	private function __construct() {}

	/**
	 * Disable the cloning of this class.
	 *
	 * @return void
	 */
	final public function __clone() {}

	/**
	 * Disable the wakeup of this class.
	 */
	final public function __wakeup() {}

	/**
	 * Create or retrieve the instance of Disable_Admin_Notices.
	 */
	public static function instance() {
		if ( is_null( static::$instance ) ) {
			static::$instance = new Disable_Admin_Notices;
			static::$instance->init_hooks();
		}

		return static::$instance;
	}

	/**
	 * Get things started.
	 */
	public function init_hooks() {
		add_action( 'init', array( $this, 'remove_notices' ) );
	}

	/**
	 * Remove notices.
	 */
	public function remove_notices() {
		remove_action( 'admin_notices', 'templatera_notice' );
	}

}